Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.0
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.sql
Class GroovyResultSetProxy

    java.lang.Object
      groovy.sql.GroovyResultSetProxy

All Implemented Interfaces:
  InvocationHandler

    class GroovyResultSetProxy
    extends Object

GroovyResultSetProxy is used to create a proxy for GroovyResultSet. Due to the version incompatibility between java 6 and older versions methods with additional logic were moved into an extension class. When getting properties or calling methods, the runtime will try to first execute these on the extension and then on the ResultSet itself. This way it is possible to replace and add methods. To overload methods from ResultSet all methods have to be implemented on the extension class.

author:
  Jochen Theodorou

Constructor Summary
`GroovyResultSetProxy(ResultSet set)` Creates a new procy instance.
`GroovyResultSetProxy(GroovyResultSetExtension ext)` Creates a new proxy instance with a custom extension.

Method Summary
`GroovyResultSet` | `getImpl()` Gets a proxy instance that can be used as GroovyResultSet.
`Object` | `invoke(Object proxy, Method method, Object[] args)` Invokes a method for the GroovyResultSet.

Methods inherited from class Object
wait, wait, wait, hashCode, getClass, equals, toString, notify, notifyAll

Constructor Detail

### GroovyResultSetProxy

    public GroovyResultSetProxy(ResultSet set)

  Creates a new procy instance. This will create the extension automatically using GroovyResultSetExtension
  param:
    set the result set to delegate to
  see:
    GroovyResultSetExtension

### GroovyResultSetProxy

    public GroovyResultSetProxy(GroovyResultSetExtension ext)

  Creates a new proxy instance with a custom extension.
  param:
    ext the extension
  see:
    GroovyResultSetExtension

Method Detail

### getImpl

    public GroovyResultSet getImpl()

  Gets a proxy instance that can be used as GroovyResultSet.
  return:
    the proxy

### invoke

    public Object invoke(Object proxy, Method method, Object[] args)

  Invokes a method for the GroovyResultSet. This will try to invoke the given method first on the extension and then on the result set given as proxy parameter.
  param:
    proxy the result set
  param:
    method the method name of this method will be used to make a call on the extension. If this fails the call will be done on the proxy instead
  param:
    args for the call
  see:
    ResultSet
  see:
    InvocationHandler#invoke

Copyright © 2003-2009 The Codehaus. All rights reserved.